aboutsummaryrefslogtreecommitdiffstats
path: root/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
diff options
context:
space:
mode:
authorTakamune Cho <tc012c@att.com>2017-12-18 19:39:40 -0600
committerPatrick Brady <pb071s@att.com>2017-12-19 08:18:21 -0800
commit49f9de63c3d04a2f6ccd3a81e88a01febe185fd9 (patch)
treea17c03255d96727062658158fa7e77c450c3a845 /appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
parentb1c754c49e15e7fad854ee8c678d53be8d40e30e (diff)
Update appc-config-generator to use onap packaging
Change-Id: Ia89d9eb8f56c8ac0e46cbe1b473f7cfced32228a Issue-ID: APPC-13 Signed-off-by: Takamune Cho <tc012c@att.com>
Diffstat (limited to 'appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh')
-rw-r--r--appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh b/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
index d3d2ea6e7..0dad46d81 100644
--- a/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
+++ b/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
@@ -1,9 +1,11 @@
###
# ============LICENSE_START=======================================================
-# ONAP : APP-C
+# ONAP : APPC
# ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
# ================================================================================
+# Copyright (C) 2017 Amdocs
+# =============================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
@@ -15,6 +17,8 @@
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
# ============LICENSE_END=========================================================
# ECOMP is a trademark and service mark of AT&T Intellectual Property.
###
@@ -30,10 +34,10 @@ REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
if [ -f ${REPOZIP} ]
then
- unzip -n -d ${ODL_HOME} ${REPOZIP}
+ unzip -n -d ${ODL_HOME} ${REPOZIP}
else
- echo "ERROR : repo zip ($REPOZIP) not found"
- exit 1
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
fi
${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories}